package com.thebrokenrail.reliccraft.mixin;

import net.minecraft.entity.boss.dragon.EnderDragonFight;
import org.objectweb.asm.Opcodes;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;

@SuppressWarnings("unused")
@Mixin(EnderDragonFight.class)
public class MixinEnderDragonFight {
    @SuppressWarnings("SameReturnValue")
    @Redirect(at = @At(value = "FIELD", target = "Lnet/minecraft/entity/boss/dragon/EnderDragonFight;previouslyKilled:Z", opcode = Opcodes.GETFIELD), method = "dragonKilled")
    public boolean forceDragonEggSpawn(EnderDragonFight enderDragonFight) {
        return false;
    }
}
