package com.thebrokenrail.reliccraft.block;

import com.thebrokenrail.reliccraft.RelicCraft;
import net.fabricmc.fabric.api.block.FabricBlockSettings;
import net.minecraft.block.Material;
import net.minecraft.block.MaterialColor;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.inventory.Inventory;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class TeleportationBeaconBlock extends AbstractDragonEggHolderBlock {
    public TeleportationBeaconBlock() {
        super(FabricBlockSettings.of(Material.METAL, MaterialColor.IRON).strength(5.0F, 6.0F).sounds(BlockSoundGroup.METAL).build());
    }

    @Override
    public void tick(World world, BlockPos pos, Inventory inventory) {
    }

    @Override
    public void grantAdvancement(PlayerEntity player) {
        RelicCraft.ACTIVATE_TELEPORTATION_BEACON_CRITERION.trigger((ServerPlayerEntity) player);
    }
}
