package com.thebrokenrail.reliccraft.mixin;

import com.thebrokenrail.reliccraft.item.RelicItem;
import net.minecraft.item.ItemStack;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@SuppressWarnings("unused")
@Mixin(ItemStack.class)
public class MixinItemStack {
    @Inject(at = @At("HEAD"), method = "getMaxDamage", cancellable = true)
    public void getMaxDamage(CallbackInfoReturnable<Integer> info) {
        if (((ItemStack) (Object) this).getItem() instanceof RelicItem) {
            info.setReturnValue(((RelicItem) ((ItemStack) (Object) this).getItem()).getMaxDamage((ItemStack) (Object) this));
        }
    }
}
