package com.thebrokenrail.reliccraft.mixin;

import net.minecraft.item.Item;
import net.minecraft.item.NetherStarItem;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.ModifyVariable;

@SuppressWarnings("unused")
@Mixin(NetherStarItem.class)
public class MixinNetherStarItem {
    @ModifyVariable(at = @At("HEAD"), method = "<init>", argsOnly = true)
    private static Item.Settings init(Item.Settings settings) {
        return settings.maxDamage(6);
    }
}
