package com.thebrokenrail.reliccraft.structure;

import com.mojang.datafixers.Dynamic;
import com.thebrokenrail.reliccraft.RelicCraft;
import net.minecraft.world.gen.feature.AbstractTempleFeature;
import net.minecraft.world.gen.feature.DefaultFeatureConfig;

import java.util.function.Function;

public class TimeTempleFeature extends AbstractTempleFeature<DefaultFeatureConfig> {
    public TimeTempleFeature(Function<Dynamic<?>, ? extends DefaultFeatureConfig> configFactory) {
        super(configFactory);
    }

    @Override
    protected int getSeedModifier() {
        return 0;
    }

    @Override
    public StructureStartFactory getStructureStartFactory() {
        return TimeTempleStructureStart::new;
    }

    @Override
    public String getName() {
        return RelicCraft.TIME_TEMPLE_ID;
    }

    @Override
    public int getRadius() {
        return 8;
    }
}
